[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Packages rename and conffiles

Steve Langasek wrote:

> On Sun, Nov 26, 2006 at 09:03:06PM +0100, Bill Allombert wrote:
>> A fair number of conffiles have changed of packages.
> [...]
>> Unfortunately, I know how to avoid spurious dpkg conffiles handling
>> with either of them separately, but not with both of them at once.
>> So we have to take a position on this issue. I can provide the list
>> of affected packages. There is at least openssh, vim and openoffice.
> What position do you think we should take on this issue?  If there's no
> known solution that avoids conffile prompts with both the old and new
> versions, and given that there's no good systematic way to arrange for one
> version of dpkg or the other to be installed at the time of upgrade,
> perhaps it's best to favor the new dpkg?

Is it possible simply to tell people "upgrade dpkg first" along with
aptitude in the Sarge->Etch upgrade release notes?  That would at least
take care of everyone who bothers to read the instructions :-)

best regards,

Kevin B. McCarty <kmccarty@princeton.edu>   Physics Department
WWW: http://www.princeton.edu/~kmccarty/    Princeton University
GPG: public key ID 4F83C751                 Princeton, NJ 08544

Reply to: